package  com.anythink.custom.adapter;


import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;

import com.alxad.api.AlxNativeAD;
import com.alxad.api.AlxNativeAdLoadListener;
import com.alxad.api.AlxNativeExpressAdListener;
import com.alxad.api.IAlxNativeInfo;
import com.anythink.nativead.unitgroup.api.CustomNativeAd;

import java.util.List;

public class AlxNative extends CustomNativeAd implements AlxNativeExpressAdListener {
    private static final String TAG = "AlxNative";
    private IAlxNativeInfo info ;
    Context mContext;

    public AlxNative(Context context, IAlxNativeInfo alxNativeAD) {
        mContext = context.getApplicationContext();
        info = alxNativeAD;
    }

    View mMediaView;

    @Override
    public View getAdMediaView(Object... objects) {
        try {
            if (mMediaView == null && info != null) {
                mMediaView = info.getExpressView();
            }
            return mMediaView;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    @Override
    public boolean isNativeExpress() {
        return true;
    }

    @Override
    public void prepare(View view, FrameLayout.LayoutParams layoutParams) {
        super.prepare(view, layoutParams);

    }

    @Override
    public void prepare(View view, List<View> list, FrameLayout.LayoutParams layoutParams) {
        super.prepare(view, list, layoutParams);
        info.registerViewForInteraction((ViewGroup)mMediaView,list);
    }

    @Override
    public void destroy() {
        if (info != null) {
           // info.destroy();
           // info= null;
        }
    }


    @Override
    public void onAdClose() {

    }

    @Override
    public void onRenderFail(int code, String msg) {

    }

    @Override
    public void onRenderSuccess(View view) {

    }

    @Override
    public void onAdClick() {
        notifyAdClicked();
    }

    @Override
    public void onAdShow() {
        notifyAdImpression();
    }
}




//package com.anythink.custom.adapter;
//
//import android.content.Context;
//import android.view.View;
//import android.widget.FrameLayout;
//
//import com.alxad.api.AlxNativeExpressAD;
//import com.alxad.api.AlxNativeExpressADListener;
//import com.anythink.nativead.unitgroup.api.CustomNativeAd;
//
//import java.util.List;
//
//public class AlxNativeExpress extends CustomNativeAd implements AlxNativeExpressADListener {
//    private static final String TAG = "AlxNativeExpress";
//    AlxNativeExpressAD mAlxNativeExpressAd;
//    Context mContext;
//
//    public AlxNativeExpress(Context context, AlxNativeExpressAD alxNativeExpressAd) {
//        mContext = context.getApplicationContext();
//        mAlxNativeExpressAd = alxNativeExpressAd;
//        mAlxNativeExpressAd.setADListener(this);
//    }
//
//    View mMediaView;
//
//    @Override
//    public View getAdMediaView(Object... objects) {
//        try {
//            if (mMediaView == null && mAlxNativeExpressAd != null) {
//                mMediaView = mAlxNativeExpressAd.getAdMediaView();
//            }
//            return mMediaView;
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
//        return null;
//    }
//
//    @Override
//    public boolean isNativeExpress() {
//        return true;
//    }
//
//    @Override
//    public void prepare(View view, FrameLayout.LayoutParams layoutParams) {
//        super.prepare(view, layoutParams);
//    }
//
//    @Override
//    public void prepare(View view, List<View> list, FrameLayout.LayoutParams layoutParams) {
//        super.prepare(view, list, layoutParams);
//    }
//
//    @Override
//    public void destroy() {
//        if (mAlxNativeExpressAd != null) {
//            mAlxNativeExpressAd.destroy();
//            mAlxNativeExpressAd = null;
//        }
//    }
//
//    @Override
//    public void onError(AlxNativeExpressAD alxNativeExpressAD, int i, String s) {
//
//    }
//
//    @Override
//    public void onAdLoaded(AlxNativeExpressAD alxNativeExpressAD) {
//
//    }
//
//    @Override
//    public void onAdClicked() {
//        notifyAdClicked();
//    }
//
//    @Override
//    public void onAdShow() {
//
//    }
//
//    @Override
//    public void onRenderSuccess(View view, float v, float v1) {
//
//    }
//
//    @Override
//    public void onRenderFailed() {
//
//    }
//}
